CREATE TABLE je_it_invoices_e_listing (
    E_LISTING_ID                    NUMBER(18, 0) ,
    VAT_REPORTING_ENTITY_ID         NUMBER(18, 0)     NOT NULL,
    TAX_CALENDAR_NAME               VARCHAR2(60)      NOT NULL,
    YEAR_OF_ELISTING                NUMBER(4, 0)      NOT NULL,
    PERIOD_START_DATE               DATE              NOT NULL,
    PERIOD_END_DATE                 DATE              NOT NULL,
    SOURCE_NAME                     VARCHAR2(120)     NOT NULL,
    TRANSMISSION_TYPE_CODE          VARCHAR2(20)      NOT NULL,
    PROGRESSIVE_TRANSMISSION_NUM    NUMBER(18, 0) ,
    FILE_TRANSMISSION_NUM           VARCHAR2(120) ,
    REPORT_MODE_CODE                VARCHAR2(4)       NOT NULL,
    LATEST_RECORD_FLAG              VARCHAR2(4)       NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    E_LISTING_ID                    NUMBER(18, 0) ,
    VAT_REPORTING_ENTITY_ID         NUMBER(18, 0)     NOT NULL,
    TAX_CALENDAR_NAME               VARCHAR2(60)      NOT NULL,
    YEAR_OF_ELISTING                NUMBER(4, 0)      NOT NULL,
    PERIOD_START_DATE               DATE              NOT NULL,
    PERIOD_END_DATE                 DATE              NOT NULL,
    SOURCE_NAME                     VARCHAR2(120)     NOT NULL,
    TRANSMISSION_TYPE_CODE          VARCHAR2(20)      NOT NULL,
    PROGRESSIVE_TRANSMISSION_NUM    NUMBER(18, 0) ,
    FILE_TRANSMISSION_NUM           VARCHAR2(120) ,
    REPORT_MODE_CODE                VARCHAR2(4)       NOT NULL,
    LATEST_RECORD_FLAG              VARCHAR2(4)       NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CONSTRAINT pk_je_it_invoices_e_listing PRIMARY KEY (E_LISTING_ID, E_LISTING_ID)
);
